com.independentsoft.exchange

## Enum TaskDelegateState

- java.lang.Object
- - java.lang.Enum<TaskDelegateState>
  - - com.independentsoft.exchange.TaskDelegateState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TaskDelegateState>

      public enum TaskDelegateState
      extends java.lang.Enum<TaskDelegateState>

  Specifies that the task has been declined.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` Specifies that the task has been declined.
    `DECLINED`
    `NO_MATCH` Specifies that this is not a delegated task or that the task request has been created but not sent.
    `NONE` None.
    `OWN_NEW` Specifies that this is a new task request that has been sent, but the delegate has not yet responded to the task.
    `OWNED` Specifies that a task has been accepted.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskDelegateState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TaskDelegateState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_MATCH

          public static final TaskDelegateState NO_MATCH

      Specifies that this is not a delegated task or that the task request has been created but not sent. This is also used for a task request message, whether in the owner's Sent Items folder or the delegate's Inbox.

    - #### OWN_NEW

          public static final TaskDelegateState OWN_NEW

      Specifies that this is a new task request that has been sent, but the delegate has not yet responded to the task.

    - #### OWNED

          public static final TaskDelegateState OWNED

      Specifies that a task has been accepted. This value should not be in the enumeration.

    - #### ACCEPTED

          public static final TaskDelegateState ACCEPTED

      Specifies that the task has been declined.

    - #### DECLINED

          public static final TaskDelegateState DECLINED

    - #### NONE

          public static final TaskDelegateState NONE

      None.

  - ### Method Detail

    - #### values

          public static TaskDelegateState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskDelegateState c : TaskDelegateState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskDelegateState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null